return {
  'Wansmer/treesj',
  config = function()
    require('treesj').setup({
      use_default_keymaps = false,
      max_join_length = 1000,
    })
    -- For default preset
    vim.keymap.set('n', '<leader>jt', require('treesj').toggle)
    -- For extending default preset with `recursive = true`
    vim.keymap.set('n', '<leader>jT', function()
      require('treesj').toggle({ split = { recursive = true } })
    end)
  end,
  enabled = true
}
